<?php
/**
* Additional Woocommerce Settings.
*
* @package Event Decorations
*/

$event_decorations_default = event_decorations_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'event_decorations_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'event-decorations' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'event_decorations_theme_option_panel',
	)
);

	$wp_customize->add_setting('event_decorations_per_columns',
		array(
		'default'           => $event_decorations_default['event_decorations_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'event_decorations_sanitize_number_range',
		)
	);
	$wp_customize->add_control('event_decorations_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'event-decorations'),
		'section'     => 'event_decorations_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('event_decorations_product_per_page',
		array(
		'default'           => $event_decorations_default['event_decorations_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'event_decorations_sanitize_number_range',
		)
	);
	$wp_customize->add_control('event_decorations_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'event-decorations'),
		'section'     => 'event_decorations_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('event_decorations_show_hide_related_product',
    array(
        'default' => $event_decorations_default['event_decorations_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'event_decorations_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('event_decorations_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'event-decorations'),
	        'section' => 'event_decorations_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('event_decorations_custom_related_products_number',
		array(
		'default'           => $event_decorations_default['event_decorations_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'event_decorations_sanitize_number_range',
		)
	);
	$wp_customize->add_control('event_decorations_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'event-decorations'),
		'section'     => 'event_decorations_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('event_decorations_custom_related_products_number_per_row',
		array(
		'default'           => $event_decorations_default['event_decorations_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'event_decorations_sanitize_number_range',
		)
	);
	$wp_customize->add_control('event_decorations_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'event-decorations'),
		'section'     => 'event_decorations_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);